Bug 1005519 - mate-document-viewer (atril): GLib-GObject-WARNING: instance has no handler with id
mate-document-viewer (atril): GLib-GObject-WARNING: instance has no handler w...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mate-document-viewer (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Wolfgang Ulbrich
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-07 20:13 EDT by D. Wagner
Modified: 2013-10-22 23:35 EDT (History)
3 users (show)

See Also:
Fixed In Version: mate-document-viewer-1.6.1-6.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-22 23:29:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backtrace (32.08 KB, text/plain)
2013-09-07 20:27 EDT, D. Wagner
no flags Details

  None (edit)
Description D. Wagner 2013-09-07 20:13:50 EDT
Description of problem:

When I run atril from the command line, I get the following warning messages on stderr:

(atril:27993): GLib-GObject-WARNING **: gsignal.c:2593: instance `0x26922d0' has no handler with id `1022'

(atril:27993): GLib-GObject-WARNING **: gsignal.c:2593: instance `0x26922d0' has no handler with id `1023'


Version-Release number of selected component (if applicable):

mate-document-viewer-1.6.1-5.fc19.x86_64

How reproducible:

100% - just run atril to view any pdf file
Comment 1 D. Wagner 2013-09-07 20:27:06 EDT
Oops, I should have mentioned: these warnings appear when you quit atril.

I tried downloading debug symbols, but I didn't get any additional information on stderr.  On the other hand, when I ran "atril --g-fatal-warnings foo.pdf", I got a core dump.  I'll attach the corresponding back trace (generated with gdb).
Comment 2 D. Wagner 2013-09-07 20:27:35 EDT
Created attachment 795268 [details]
Backtrace
Comment 3 Wolfgang Ulbrich 2013-09-09 06:18:47 EDT
Thanks for reporting.
Unfortunately i can't confirm this for f18, here i don't get those warnings after closing atril in a terminal.
I will check this for f19/20.
Comment 4 Wolfgang Ulbrich 2013-09-12 16:36:42 EDT
Ok, confirmed for f19

rave@mother Hardware-Diverse]$ atril E2750V.PDF 

(atril:2617): GLib-GObject-WARNING **: gsignal.c:2593: instance `0x17d7e30' has no handler with id `994'

(atril:2617): GLib-GObject-WARNING **: gsignal.c:2593: instance `0x17d7e30' has no handler with id `995'
Comment 5 Wolfgang Ulbrich 2013-10-11 07:56:47 EDT
Upstream is informed.
https://github.com/mate-desktop/mate-document-viewer/issues/40
Comment 7 Fedora Update System 2013-10-12 19:33:43 EDT
mate-document-viewer-1.6.1-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-document-viewer-1.6.1-6.fc18
Comment 8 Fedora Update System 2013-10-12 19:33:52 EDT
mate-document-viewer-1.6.1-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mate-document-viewer-1.6.1-6.fc19
Comment 9 Fedora Update System 2013-10-12 19:34:01 EDT
mate-document-viewer-1.6.1-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mate-document-viewer-1.6.1-6.fc20
Comment 10 Fedora Update System 2013-10-13 15:47:37 EDT
mate-document-viewer-1.6.1-6.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-10-14 02:59:56 EDT
Package mate-document-viewer-1.6.1-6.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mate-document-viewer-1.6.1-6.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19037/mate-document-viewer-1.6.1-6.fc18
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2013-10-22 23:29:22 EDT
mate-document-viewer-1.6.1-6.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2013-10-22 23:35:49 EDT
mate-document-viewer-1.6.1-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.